Bug 1274187 - [API][Host network QoS] Update for existing Host Network QoS fails with internal server error
[API][Host network QoS] Update for existing Host Network QoS fails with inter...
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: RestAPI (Show other bugs)
3.6.0
x86_64 Linux
high Severity high (vote)
: ovirt-3.6.1
: 3.6.1
Assigned To: Doron Fediuck
Ori Ben Sasson
sla
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-22 04:35 EDT by GenadiC
Modified: 2016-02-10 14:19 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-16 07:17:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: SLA
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ylavi: ovirt‑3.6.z?
gcheresh: planning_ack?
rule-engine: devel_ack+
myakove: testing_ack+


Attachments (Terms of Use)
engine and server logs (16.46 KB, application/zip)
2015-10-22 04:35 EDT, GenadiC
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 47630 master MERGED restapi: Avoid NPE in QoS mapper Never
oVirt gerrit 47679 ovirt-engine-3.6 MERGED restapi: Avoid NPE in QoS mapper Never

  None (edit)
Description GenadiC 2015-10-22 04:35:51 EDT
Created attachment 1085441 [details]
engine and server logs

Description of problem:
Updating Host Network QoS values fails for QoS under DC

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create Host Network QoS under DC
2. Try to update its values with API
3.

Actual results:
Internal Server ERROR, Status 500

Expected results:
Should succeed

Additional info:
We have automation test that fails to update the QoS.
The test fails when updating with the Rest Client as well.
We send <qos>
    <outbound_average_upperlimit>10</outbound_average_upperlimit>
    <outbound_average_realtime>10</outbound_average_realtime>
</qos>

to ovirt-engine/api/datacenters/<dc_id>/qoss/<qos_id>
Comment 1 Yaniv Lavi (Dary) 2015-10-29 08:50:27 EDT
In oVirt testing is done on single release by default. Therefore I'm removing the 4.0 flag. If you think this bug must be tested in 4.0 as well, please re-add the flag. Please note we might not have testing resources to handle the 4.0 clone.
Comment 2 Ori Ben Sasson 2015-12-06 05:09:04 EST
Verified on  3.6.1.1-0.1.el6
Comment 3 Sandro Bonazzola 2015-12-16 07:17:04 EST
According to verification status and target milestone this issue should be fixed in oVirt 3.6.1. Closing current release.

Note You need to log in before you can comment on or make changes to this bug.